Subject: Re: [GIT] Networking

From: Ben Greear <[email-masked]>
Date: Fri, 04 Nov 2011 10:07:17 -0700

On 11/04/2011 10:03 AM, Johannes Berg wrote:
> On Tue, 2011-10-25 at 12:26 +0000, Linus Torvalds wrote:
>> On Tue, Oct 25, 2011 at 12:32 PM, David Miller<[email-masked]>  wrote:
>>>
>>> The most visible thing in here is the reorganization of the drivers
>>> under drivers/net.
>>
>> Nope, the most visible thing are some new annoying warnings, that seem
>> absolutely broken.
>>
>> At the very minimum, that WARN_ON(1) should be a WARN_ON_ONCE() or
>> something like that. Because showing it over an dover again is not
>> helpful.
>>
>> Added the people who signed off on the changes to the affected files,
>> since they hopefully know why this happens and can fix it..
>
> Sorry for the late reply.
>
> I think this was actually caused by some changes from Ben Greear
> "optimising" stuff in net/mac80211/work.c and keeping the wrong channel,
> Stanislaw was also looking at this at some point I think. I agree that
> it would be good to change to WARN_ON_ONCE(), will do that.
>
> The warning itself has been around forever, but the fact that it
> triggers now is probably related to the channel work&  band switches.

There are patches for the work_work bugs I introduced, and they
are in wireless-testing, and were CC'd to stable as far as I
can tell.

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com